%define packagename Schedule-SoftTime
%define packageversion 0.024
%define release 1
%define makeopts ""
%define makemakeropts ""
%define makeperlopts ""

Name:      perl-%{packagename}
Version:   %{packageversion}
Release:   %{release}
Group:     Development/Languages/Perl
Source:    Schedule-SoftTime-0.024.tar.gz
Copyright: Probably the same terms as perl.  Check.
BuildRoot: /var/tmp/Schedule-SoftTime-0.024
Provides:  perl-%{packagename}
Summary:   The Perl package Schedule-SoftTime

%description
This package contains the perl module Schedule-SoftTime.

This is a class to implement an `I'll get round to you when I can be
bothered' scheduler.  It's based on the queue system in our banks
shops and some doctors I've been to.  You turn up any time you want,
but then you have to wait till everyone else who was there before you
has been dealt with.  The idea is to let the items being scheduled do
so at any free time they wish and then worry about resource
requirements later.  If we can't handle some items when they were
scheduled, they just queue until they can be handled.

The functions provided are

first_item() - give out the next object which should be checked if
any (first on the queue)
next_item() - give out the item after the last we gave out
schedule(time, string) - schedule an object for testing
unschedule(string) - unschedule an object

potentially you would want

schedule_priority - put an object in as soon as reasonable

(simulates an old person coming in and asking to skip to the
front of the queue)

but we haven't implemented that...

To guarantee that eventually each queue member gets to the front, I
suggest that you never schedule something in the past..

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n Schedule-SoftTime-0.024



%build
CFLAGS="$RPM_OPT_FLAGS" perl  Makefile.PL 
make



%install
rm -rf $RPM_BUILD_ROOT



#run install script first so we can pick up all of the files


eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v ".packlist" > Schedule-SoftTime0.024.filelist
if [ "$(cat Schedule-SoftTime0.024.filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi



%clean



rm -rf $RPM_BUILD_ROOT

%pre



%post



%preun



%postun



%verifyscript



%files -f Schedule-SoftTime0.024.filelist



%changelog
* Thu Nov 22 2001 18:31:32 autogenerated
- by  <root@localhost.localdomain>
- using MakeRPM:
- makerpm 0.210 2001/01/17, (C) 1999 Jochen Wiedmann (C) 2001 Michael De La Rue
- $Id: makerpm.pl,v 1.20 2001/06/02 19:57:56 mikedlr Exp $
